Look up financial institutions | Moov Documentation

Look up financial institutions

Search for financial institutions by name or routing number.

This endpoint returns metadata about each matched institution, including basic identifying details (such as name, routing number, and address) and information about which payment services they support (e.g., ACH, RTP, and Wire).

This can be used to validate a financial institution before initiating payment activity, or to check which payment rails are available for a given routing number.

To access this endpoint using an access token you'll need to specify the /institutions.read scope.

GET

/institutions

Example Requests

Shell

curl -X GET "https://api.moov.io/institutions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Go

mc, _ := moov.NewClient()

mc.SearchInstitutions(ctx,
  moov.WithInstitutionName("Chase"),
  moov.WithInstitutionLimit(5),
)

TypeScript

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.institutions.searchInstitutions({});

console.log(result);
}

run();

PHP

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\